Hlavní navigace

jQuery 2.0 zahazuje podporu IE 6, 7 a 8

Sdílet

Adam Štrauch 17. 1. 2013

Vývojáři frameworku jQuery vydali jeho nové verze 1.9 a 2.0 beta. Mezi novinami obou verzí najdeme třeba upravenou metodu css(), které lze předat více názvů tříd najednou, byla přidána podpora nových CSS3 selektorů nebo byla provedena řada optimalizací.

Rozdíl mezi jQuery 1.9 a 2.0 je v podpoře webového prohlížeče Internet Explorer. Zatímco 1.9 bez problémů funguje v IE ve verzích 6, 7, 8 a vyšších, jQuery 2.0 podporuje pouze IE 9 a vyšší. Tímto krokem zmenšili vývojáři zdrojový kód o 10 % a tvrdí, že tady celková redukce kódu ani zdaleka nekončí.

Našli jste v článku chybu?
  • Aktualita je stará, nové názory již nelze přidávat.